Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2755213002: MD WebUI: fix action menu initial focus to be more like context menus (Closed)

Created:
1 year, 1 month ago by Dan Beam (no longer on Chrome)
Modified:
1 year, 1 month ago
Reviewers:
dpapad
CC:
chromium-reviews, dbeam+watch-elements_chromium.org, michaelpg+watch-elements_chromium.org, oshima+watch_chromium.org, stevenjb+watch-md-settings_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

MD WebUI: fix action menu initial focus to be more like context menus This is easily possible now because <dialog>#showModal() looks into shadow DOM. R=dpapad@chromium.org BUG=656924 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:closure_compilation Review-Url: https://codereview.chromium.org/2755213002 Cr-Commit-Position: refs/heads/master@{#457977} Committed: https://chromium.googlesource.com/chromium/src/+/25958da94dac85cfe9cf3ec07d428fa0d75aab8e

Patch Set 1 #

Patch Set 2 : fix tests #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+24 lines, -13 lines) Patch
M chrome/test/data/webui/cr_elements/cr_action_menu_test.js View 1 1 chunk +17 lines, -12 lines 2 comments Download
M ui/webui/resources/cr_elements/cr_action_menu/cr_action_menu.html View 1 1 chunk +7 lines, -1 line 0 comments Download

Messages

Total messages: 16 (10 generated)
Dan Beam (no longer on Chrome)
1 year, 1 month ago (2017-03-17 23:32:38 UTC) #2
Dan Beam (no longer on Chrome)
btw, this is on the UI polish spreadsheet, there's just not bugs filed for all ...
1 year, 1 month ago (2017-03-17 23:33:11 UTC) #4
dpapad
Is this CL addressing https://bugs.chromium.org/p/chromium/issues/detail?id=656924? If so let's add it to the description. LGTM https://codereview.chromium.org/2755213002/diff/20001/chrome/test/data/webui/cr_elements/cr_action_menu_test.js ...
1 year, 1 month ago (2017-03-18 01:03:05 UTC) #7
Dan Beam (no longer on Chrome)
https://codereview.chromium.org/2755213002/diff/20001/chrome/test/data/webui/cr_elements/cr_action_menu_test.js File chrome/test/data/webui/cr_elements/cr_action_menu_test.js (right): https://codereview.chromium.org/2755213002/diff/20001/chrome/test/data/webui/cr_elements/cr_action_menu_test.js#newcode70 chrome/test/data/webui/cr_elements/cr_action_menu_test.js:70: assertNotEquals(items[0], menu.root.activeElement); On 2017/03/18 01:03:05, dpapad wrote: > Optional ...
1 year, 1 month ago (2017-03-18 17:55:06 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2755213002/20001
1 year, 1 month ago (2017-03-18 17:55:16 UTC) #13
commit-bot: I haz the power
1 year, 1 month ago (2017-03-18 19:49:41 UTC) #16
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/25958da94dac85cfe9cf3ec07d42...

Powered by Google App Engine
This is Rietveld 408576698